import {__} from '@wordpress/i18n';
import {button as icon} from '@wordpress/icons';

import {registerBlockType} from '@wordpress/blocks';

import './style.scss';

import Edit from './edit';
import metadata from '../block.json';
import save from './save';

const {name} = metadata;

export {metadata, name};

registerBlockType('asl/asl-button', {
	icon: {
		foreground: '#7e70af',
		src: (
			<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
				<rect x="0" fill="none" width="20" height="20"/>
				<g>
					<path
						d="M17 5H3c-1.1 0-2 .9-2 2v6c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm1 7c0 .6-.4 1-1 1H3c-.6 0-1-.4-1-1V7c0-.6.4-1 1-1h14c.6 0 1 .4 1 1v5z"/>
				</g>
			</svg>
		)
	},
	example: {
		attributes: {
			className: 'is-style-fill',
			text: __('Call to Action'),
		},
	},
	edit: Edit,
	save,
	merge: (a, {text = ''}) => ({
		...a,
		text: (a.text || '') + text,
	}),
});
